> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ejscripts

> Archive of CRM Scripts - used by the web api and partners.

## "Ejscripts"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.EjscriptsProvider">SuperOffice.CRM.ArchiveLists.EjscriptsProvider</see> inside NetServer's SODatabase assembly.

Archive of CRM Scripts - used by the web api and partners.
Lists all CRM Scripts in the ejScript table.

## Supported Entities

| Name       | Description |
| ---------- | ----------- |
| "ejscript" | ejscript    |

## Supported Columns

| Name                 | Restriction | Description                                                                                          | OrderBy |
| -------------------- | ----------- | ---------------------------------------------------------------------------------------------------- | ------- |
| getAllRows           | bool        | GetAll: Get all rows of archive - use with care, you may be fetching the whole database              |         |
| getNoRows            | bool        | GetNone: Do not get any rows from the archive                                                        |         |
| name                 | string      | Name: Name of script. Can be used in file name.                                                      | x       |
| description          | string      | Description: Description of script                                                                   | x       |
| uniqueIdentifier     | string      | UniqueIdentifier: An identifier that is globally unique, across all scripts and customers            | x       |
| updatedBy            | associate   | Updated by: The user who last updated the data                                                       | x       |
| updatedDate          | date        | Updated: The date/time the data was last updated in UTC.                                             | x       |
| registeredBy         | associate   | Registered by: The user who registered the data                                                      | x       |
| registeredDate       | date        | Registered date: The date/time the data was registered in UTC.                                       | x       |
| path                 | string      | Path: Full path that identifies the type of script                                                   | x       |
| type                 | int         | Type: The type/language of this script                                                               | x       |
| ejscriptId           | int         | CRMScript ID: Primary key from the CRMScript table                                                   | x       |
| includeId            | string      | IncludeID: Name to be used when including this script in another script                              | x       |
| accessKey            | string      | Access key: Key to be used when calling this script externally                                       | x       |
| htmlOutput           | bool        | HTML: Read the script output as HTML                                                                 | x       |
| extraMenuId          | int         | ExtraMenuId: Foreign key to the extra\_menu table                                                    | x       |
| hierarchyId          | int         | Hierarchy ID: Foreign key to hierarchy table                                                         | x       |
| hierarchyFullname    | string      | Hierarchy name: The full name/path from table hierarchy                                              | x       |
| hierarchyName        | string      | Hierarchy name: The full name/path from table hierarchy                                              | x       |
| hierarchyParentId    | int         | Hierarchy ID: Foreign key to hierarchy table                                                         | x       |
| hierarchyFullpathIds | *None*      | Folder path IDs: An integer array of nodes leading to a hierarchy/folder item, in root => leaf order |         |

## Sample

```http! theme={null}
GET /api/v1/archive/Ejscripts?$select=registeredBy,type
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [ejscript table](/en/database/tables/ejscript.md)
- [ejscript_debug table](/en/database/tables/ejscript-debug.md)
- [Using the SearchEngine class in ejScript](/en/automation/crmscript/searchengine/using-the-searchengine-class-blog-post.md)
- [Enum values for EjScriptVerb](/en/database/tables/enums/ejscriptverb.md)
- [SuperOffice.WebApi.Data.EjScriptVerb](/en/api/reference/webapi/SuperOffice.WebApi.Data.EjScriptVerb.md)
- [screen_definition_action table](/en/database/tables/screen-definition-action.md)
